package com.zd.smartlock.domain.api;

import com.zd.smartlock.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/08/29/14:29
 * @Description:
 */
@ApiModel("建筑查询实体")
public class SlBuild extends BaseDomain {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "建筑编号")
    private String buildcode;

    @ApiModelProperty(value = "父级建筑id")
    private String buildfatherid;

    @ApiModelProperty(value = "建筑id")
    private Integer buildid;

    @ApiModelProperty(value = "建筑名称")
    private String buildname;

    @ApiModelProperty(value = "建筑类型,1园区，2楼栋，3楼层，4房间，5楼梯，6装饰间，7门禁")
    private String buildtype;

    @ApiModelProperty(value = "建筑类型,1园区，2楼栋，3楼层，4房间，5楼梯，6装饰间，7门禁")
    private String  buildtypename;

    @ApiModelProperty(value = "区域房间类型,1宿舍区域，2公共区域，3随房间属性")
    private String roomtype;

    @ApiModelProperty(value = "区域房间类型,1宿舍区域，2公共区域，3随房间属性")
    private String roomtypename;


    public String getBuildcode() {
        return buildcode;
    }

    public void setBuildcode(String buildcode) {
        this.buildcode = buildcode;
    }

    public String getBuildfatherid() {
        return buildfatherid;
    }

    public void setBuildfatherid(String buildfatherid) {
        this.buildfatherid = buildfatherid;
    }

    public Integer getBuildid() {
        return buildid;
    }

    public void setBuildid(Integer buildid) {
        this.buildid = buildid;
    }

    public String getBuildname() {
        return buildname;
    }

    public void setBuildname(String buildname) {
        this.buildname = buildname;
    }

    public String getBuildtype() {
        return buildtype;
    }

    public void setBuildtype(String buildtype) {
        this.buildtype = buildtype;
    }

    public String getBuildtypename() {
        return buildtypename;
    }

    public void setBuildtypename(String buildtypename) {
        this.buildtypename = buildtypename;
    }

    public String getRoomtype() {
        return roomtype;
    }

    public void setRoomtype(String roomtype) {
        this.roomtype = roomtype;
    }

    public String getRoomtypename() {
        return roomtypename;
    }

    public void setRoomtypename(String roomtypename) {
        this.roomtypename = roomtypename;
    }
}
